## flex 0.1.0

=== DESCRIPTION ===
Package: flex
Title: Fuzzy Linear Squares Estimation with Explicit Formula (FLEX)
Version: 0.1.0
Date: 2025-08-27
Authors@R: c(
    person(given = "Chaewon", family = "Lee",
           role = c("aut", "cre"),
           email = "chaewon.lee@unc.edu"),
    person(given = c("Jin", "Hee"),
           family = "Yoon",
           role = "ctb")
    )
Description: The FLEX method, developed by Yoon and Choi (2013) <doi:10.1007/978-3-642-33042-1_21>, performs least squares estimation for fuzzy predictors and outcomes, generating crisp regression coefficients by minimizing the distance between observed and predicted outcomes. It also provides functions for fuzzifying data and inference tasks, including significance testing, fit indices, and confidence interval estimation.
License: MIT + file LICENSE
BugReports: https://github.com/cwlee-quantpsych/flex/issues
Depends: R (>= 3.5.0)
Encoding: UTF-8
RoxygenNote: 7.3.2
Imports: ggplot2, plotly, rlang, magrittr
NeedsCompilation: no
Packaged: 2025-08-27 21:23:07 UTC; chaewon
Author: Chaewon Lee [aut, cre],
  Jin Hee Yoon [ctb]
Maintainer: Chaewon Lee <chaewon.lee@unc.edu>
Repository: CRAN
Date/Publication: 2025-09-02 06:30:07 UTC

## flex 2.5.39

=== debian/changelog ===
flex (2.5.39-8~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1365896)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 17 Sep 2014 12:46:53 +0100

flex (2.5.39-8) unstable; urgency=low

  * Added a missing build depends on vm-super-minimal, reuired fro
    building the pdf documentation,  (Closes: #752151).
  * Move flex.pdf to the flex-doc package. This makes it possible for the
    flex package's contents to not change if texinfo is not installed,
    e.g. in the stage1 build profile.  Thanks to Peter Pentchev
    <roam@ringlet.net>
  * Move the flex-doc build dependencies to B-D-I. Move the TeX Live
    dependencies to Build-Depends-Indep and only build the HTML and PDF
    documentation if actually requested. This breaks a circular build
    dependency by not requiring texlive for the build of the
    arch-dependent flex binary packages.  (Closes: #749344).
  * Bug fix #752151: "pdfetex error about missing cm-super", thanks to
    Helmut Grohne and Cyril Brulebois
  * Bug fix: #749344" Allow bootstrapping without texlive and
    dh-autoreconf", thanks to Peter Pentchev

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Jun 2014 20:58:31 -0700

flex (2.5.39-7) unstable; urgency=low

  * dh-autoreconf already depends on all the autotools that it will
    attempt to use to rebuild the package's build framework, so remove the
    direct (and redundant) dependencies on the autotools
    packages. Suggestion by Peter Pentchev  (Closes: #749341).
  * The patch also cleaned up the creation of examples and links for man
    pages.
  * Bug fix #749341: "Drop the autotools build dependencies, dh-autoreconf
    is sufficient", thanks to Peter Pentchev

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 18:12:36 -0700

flex (2.5.39-6) unstable; urgency=low

  * The code that is generated by flex has an off-by-one error in the
    generated #line pragmas that occur after the second %% line in the
    source file. Marcus Rausch  supplied the patch that fixes it.
    (Closes: #542482).
  * Bug fix #542482: "Off-by-one error in line statements", thanks to
    Wouter Verhelst

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 06 May 2014 23:57:31 -0700

flex (2.5.39-5) unstable; urgency=low

  * Adapted patch from Matthias Klose to add  pre-seeding of autoconf
    values as paramaters, fixing cross builds. flex uses runtime checks
    for configure tests, and preseeding allows cross build to succeed,
  * Bug fix: "fix cross build", thanks to Matthias Klose. Applied fix
    manually  (Closes: #746172).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Apr 2014 15:55:36 -0700

flex (2.5.39-4) unstable; urgency=low

  * Bug fix: "Flex 2.5.39-3 has a typo in installman", thanks to
    Gianfranco Costamagna. over -> over (Closes: #745228).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Apr 2014 23:37:29 -0700

flex (2.5.39-3) unstable; urgency=medium

  * Move libl.a from flex to libfl-dev, for real
  * install link manually for libfl-dev alone, cleaning up the rules file
    in the process.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Apr 2014 12:45:38 -0700

flex (2.5.39-2) unstable; urgency=low

  * New bug fixing release
  * Bug fix: "typo in README.Debian: libfla_pic.a -&gt; libfl_pic.a",
    thanks to Jakub Wilk (Closes: #744853).
  * Bug fix: "libfl-dev and flex-old: error when trying to install
    together", thanks to Ralf Treinen. The package libfl-dev needs to
    replace and Break the flex-old package too,  (Closes: #744833).
  * Bug fix: "redundant redeclaration of ‘isatty’", thanks to Ludovic
    Rousseau. This duplication was removed in the last upstream release.
    (Closes: #488274).
  * Bug fix: "flex-2.5.35 bug", thanks to Yuriy Z. scan.c now declares n
    as size_t, in the new upstream version.  (Closes: #633008).
  * Bug fix: "make check failure", thanks to Sayre, Alan N. The new
    version of flex does succeed in running make check (it would not build
    otherwise) (Closes: #632095).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Apr 2014 02:15:10 -0700

flex (2.5.39-1) unstable; urgency=medium

  * New upstream release
  * internationalization: added support for various languages. Fix make
    install target to not fail when the flex++ program is already
    installed. various portability fixes that quiet compiler warnings on
    64-bit hosts. numerous bug fixes.
  * Moved to a new dh based build system. Also moved to a 3.0 source
    format, using debcherry.
  * Bug fix: "cross build support", thanks to Eleanor Chen. We have moved
    to a standard dh based build, so we should not have this issue any more.
    (Closes:    #719955).
  * Bug fix: "examples not included into binary packages", thanks to Carl
    Fürstenberg. Examples are in this version.  (Closes: #560387).
  * Bug fix: "new upstream release 2.5.37", thanks to Peter Eisentraut
    (Closes: #729759).
  * Bug fix: "flex, new release available for download", thanks to
    Gianfranco Costamagna (Closes: #736345).
  * Bug fix: "please mark flex as Multi-Arch: allowed", thanks to Steve
    Langasek. Redid the patch to work with dh.     (Closes: #611230).
  * Updating to a new build system means that the changes made to the
    build system in the NMU are not needed, dh does the right thing.
  * The new upstream release added the prototypes in re-entrant mode, so
    we are no longer carrying those patches.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Apr 2014 18:06:12 -0700

flex (2.5.35-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dpkg-buildflags to enable hardened build flags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org>. (Closes: #655414)
  * Add prototypes for yy_[gs]etcolumn in re-entrant mode, taken from Fedora.
    Thanks to Daniel Stone <daniel@fooishbar.org>. (Closes: #667027)

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jun 2012 17:03:27 +0200

flex (2.5.35-10) unstable; urgency=low



=== debian/control ===
Source: flex
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/flex.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/flex.git
Section: devel
Homepage: http://flex.sf.net/
Priority: optional
Build-Depends: bison, gettext, texinfo, help2man, file, po-debconf,
               debhelper (>= 9.0.0), dh-autoreconf, dpkg-dev (>= 1.16.0)
Build-Depends-Indep: texlive-latex-base, texlive-fonts-recommended, cm-super-minimal
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.5

Package: flex
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, m4, libfl-dev (= ${binary:Version}),
         dpkg (>= 1.15.4) |  install-info, ${misc:Depends}
Recommends: gcc | c-compiler
Suggests: bison, build-essential
Multi-Arch: foreign
Description: fast lexical analyzer generator
 Flex is a tool for generating scanners: programs which recognized lexical
 patterns in text. It reads the given input files for a description of a
 scanner to generate. The description is in the form of pairs of regular
 expressions and C code, called rules. Flex generates as output a C source
 file, lex.yy.c, which defines a routine yylex().  This file is compiled
 and linked with the -lfl library to produce an executable. When the
 executable is run, it analyzes its input for occurrences of the regular
 expressions. Whenever it finds one, it executes the corresponding C code.

Package: flex-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for flex (a fast lexical analyzer generator)
 Flex is a tool for generating scanners: programs which recognized lexical
 patterns in text. It reads the given input files for a description of a
 scanner to generate. The description is in the form of pairs of regular
 expressions and C code, called rules. Flex generates as output a C source
 file, lex.yy.c, which defines a routine yylex().  This file is compiled
 and linked with the -lfl library to produce an executable. When the
 executable is run, it analyzes its input for occurrences of the regular
 expressions. Whenever it finds one, it executes the corresponding C code.
 .
 This package contains the HTML documentation for flex.

Package: libfl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: flex (<< 2.5.39), flex-old (<= 2.5.4a-10)
Breaks: flex (<< 2.5.39), flex-old (<= 2.5.4a-10)
Description: static library for flex (a fast lexical analyzer generator)
 Flex is a tool for generating scanners: programs which recognized lexical
 patterns in text. It reads the given input files for a description of a
 scanner to generate. The description is in the form of pairs of regular
 expressions and C code, called rules. Flex generates as output a C source
 file, lex.yy.c, which defines a routine yylex().  This file is compiled
 and linked with the -lfl library to produce an executable. When the
 executable is run, it analyzes its input for occurrences of the regular
 expressions. Whenever it finds one, it executes the corresponding C code.
 .
 This package contains the static library for flex.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
package:=flex
SRCTOP:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
INSTALL = install
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif

install_file	= $(INSTALL) -p	   -o root -g root  -m	644
install_program = $(INSTALL) -p	   -o root -g root  -m	755
install_script	= $(INSTALL) -p	   -o root -g root  -m	755
make_directory	= $(INSTALL) -p -d -o root -g root  -m	755

DPKG_ARCH := dpkg-architecture
export DEB_HOST_MULTIARCH   := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MULTIARCH  := $(shell $(DPKG_ARCH) $(ha) -qDEB_BUILD_MULTIARCH)

confflags = ac_cv_lib_util_getloadavg=no
ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
  confflags += ac_cv_func_malloc_0_nonnull=yes ac_cv_func_realloc_0_nonnull=yes
endif


%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	if ! which flex >/dev/null 2>&1; then				   \
	   if [ -e debian/scan.l.md5sum ] &&				   \
	      [ "`md5sum scan.l`" = "`cat debian/scan.l.md5sum`" ]; then   \
		if [ scan.l -nt scan.c ]; then				   \
		   echo "scan.l newer than scan.c";			   \
		fi;							   \
		touch scan.c;						   \
	   fi;								   \
	fi
	dh_auto_configure -- --prefix=$(PREFIX) $(confflags)
	sed -i -e 's/^dist_doc_DATA[[:space:]]*=.*/dist_doc_DATA=/' doc/Makefile

override_dh_install:
	test ! -d debian/tmp/lib/$(DEB_HOST_MULTIARCH) ||               \
            find debian/tmp/lib/$(DEB_HOST_MULTIARCH) -type f           \
               -name \*.la -exec rm {} \;
	dh_install
	rm -f debian/flex/usr/share/doc/flex/flex.pdf
ifneq (,$(filter libfl-dev, $(shell dh_listpackages)))
	$(make_directory) debian/libfl-dev/usr/lib
	sed -e 's,#DEB_HOST_MULTIARCH#,$(DEB_HOST_MULTIARCH),'           \
           debian/libfl.shared_object > debian/libfl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libfl.so
	ln -s libfl.a debian/libfl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libl.a
endif
ifneq (,$(filter flex, $(shell dh_listpackages)))
	test ! -f debian/flex/usr/share/doc/flex/COPYING || rm -f debian/flex/usr/share/doc/flex/COPYING
endif
	dh_link


override_dh_installdocs:
	dh_installdocs
ifneq (,$(filter flex-doc, $(shell dh_listpackages)))
	mv debian/flex-doc/usr/share/doc/flex-doc/flex.html debian/flex-doc/usr/share/doc/flex-doc/html
endif

override_dh_auto_build:
	dh_auto_build
ifneq (,$(filter flex-doc, $(shell dh_listpackages)))
	$(MAKE) -C doc flex.html flex.pdf
endif
	bash -n debian/flex-doc.postinst
	bash -n debian/flex-doc.prerm
	bash -n debian/flex.postinst
	bash -n debian/flex.prerm

#Local variables:
#mode: makefile
#End:

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

http://sf.net/flex/flex-([\d\.]*)\.tar\.gz
#ftp://ftp.sf.net/pub/sourceforge/f/fl/flex/flex-([\d.]*)\.tar\.gz

# If the project uses stable=even and unstable=odd (middle) version numbers,
# http://sf.net/<package>/<package>-(\d+)\.(\d*[02468])\.(\d+)\.tar\.gz
# http://sf.net/<package>/<package>-(\d+\.\d?[02468]\.\d+)\.tar\.gz

## flex evals-0.1.8

=== Makefile ===
.PHONY: tests

-include .env
export

package-build:
	rm -rf dist/*
	uv build --no-sources

package-publish:
	uv publish --token ${UV_PUBLISH_TOKEN}

package: package-build package-publish

####
# project commands
#
# `uv add` to add new package
# `uv add --dev` to add new package as a dev dependency
####
# commands to run inside docker container
linting:
	uv run ruff check src/flex_evals/ --fix --unsafe-fixes
	uv run ruff check tests/ --fix --unsafe-fixes
	uv run ruff check examples/ --fix --unsafe-fixes

unittests:
	# pytest tests
	uv run coverage run -m pytest tests --timeout=30 --durations=0
	uv run coverage html

decorator-examples:
	# Run pytest decorator examples to validate functionality
	uv run pytest examples/pytest_decorator_example.py --timeout=30 --durations=0

tests: linting unittests decorator-examples
